Attribute VB_Name = "modLangID"
'
' Copyright (C) 1999-2003 Christian Lemke
'
' Bei Fragen oder Bugs (Fehlern) wenden sich sich bitte an:
'
'   E-Mail: support@chlhp.de
'      WWW: http://www.chlhp.de
'
Option Explicit
'API-Deklaration
Private Declare Function GetLocaleInfo Lib "kernel32" Alias "GetLocaleInfoA" (ByVal Locale As Long, ByVal LCType As Long, ByVal lpLCData As String, ByVal cchData As Long) As Long
'API-Konstanten
Private Const LOCALE_SENGLANGUAGE = &H1001
Private Const LOCALE_SNATIVELANGNAME = &H4



'[gibt Informationen zu einer Sprache zurck]'
Public Function GetLangInfo(ByVal lngID As Long) As String
On Error Resume Next
Dim buffer As String

'ermittle kompletten, englischen Namen der Sprache
buffer = String(255, 0)
GetLocaleInfo lngID, LOCALE_SENGLANGUAGE, buffer, Len(buffer)
GetLangInfo = Left$(buffer, InStr(1, buffer, Chr$(0)) - 1)
'ermittle Namen in der landesspezifischen Schreibweise
buffer = String(255, 0)
GetLocaleInfo lngID, LOCALE_SNATIVELANGNAME, buffer, Len(buffer)
buffer = Left$(buffer, InStr(1, buffer, Chr$(0)) - 1)
GetLangInfo = GetLangInfo & " [" & buffer & "]"
End Function
