Attribute VB_Name = "modOS"
'
' Copyright (C) 1999-2003 Christian Lemke
'
' Bei Fragen oder Bugs (Fehlern) wenden sich sich bitte an:
'
'   E-Mail: support@chlhp.de
'      WWW: http://www.chlhp.de
'
Option Explicit
' Windows Version herausfinden
Private Declare Function GetVersionEx Lib "kernel32" Alias "GetVersionExA" (lpVersionInformation As OSVERSIONINFO) As Long
Private Type OSVERSIONINFO
         dwOSVersionInfoSize As Long
         dwMajorVersion As Long
         dwMinorVersion As Long
         dwBuildNumber As Long
         dwPlatformId As Long
         szOSInfos As String * 128
End Type
Public Enum osPlatform
    VER_PLATFORM_WIN32s = 0
    VER_PLATFORM_WIN32_WINDOWS = 1
    VER_PLATFORM_WIN32_NT = 2
End Enum



Public Function GetOSName() As String
On Error Resume Next
Dim winver As OSVERSIONINFO

'Gre der Strucktur OSVERSIONINFO ermitteln
winver.dwOSVersionInfoSize = Len(winver)
'API-Aufruf, um Windowsversion auszulesen
GetVersionEx winver
'Umwandlung des Zahlenwerts fr Build
winver.dwBuildNumber = winver.dwBuildNumber And &HFFFF&
'weitere Infos, z.B. ber Service Packs
winver.szOSInfos = TrimNull(winver.szOSInfos)
'bei Windows 98 SE, die Infos ndern
If winver.dwPlatformId = VER_PLATFORM_WIN32_WINDOWS Then
    If winver.dwMajorVersion = 4 And winver.dwMinorVersion = 10 Then
        If winver.dwBuildNumber = 2222 Then winver.szOSInfos = "SE"
    End If
End If
'und Version auswerten
Select Case winver.dwPlatformId
    Case VER_PLATFORM_WIN32s
        GetOSName = "Win32s (32-bit Emulation for 16-bit Windows)"
    Case VER_PLATFORM_WIN32_WINDOWS
        If winver.dwMinorVersion = 0 Then
            GetOSName = "Windows 95"
        ElseIf winver.dwMinorVersion = 10 Then
            GetOSName = "Windows 98"
        Else
            GetOSName = "Windows ME"
        End If
    Case VER_PLATFORM_WIN32_NT
        If winver.dwMajorVersion = 5 Then
            If winver.dwMinorVersion = 0 Then
                GetOSName = "Windows 2000"
             Else
                GetOSName = "Windows XP"
            End If
         Else
            GetOSName = "Windows NT"
        End If
End Select
GetOSName = Trim$(GetOSName & " " & winver.szOSInfos)
If Len(GetOSName) = 0 Then GetOSName = "-"
End Function


'[entfernt Chr$(0) am Sringende]'
Private Function TrimNull(ByVal Text As String) As String
On Error Resume Next

TrimNull = Trim$(Left$(Text, InStr(Text, Chr$(0)) - 1))
End Function
